# OPEN Statement Specifiers

The OPEN statement connects an external file to a unit, creates a new file and connects it to a unit, creates a preconnected file, or changes certain properties of a connection. For more information, see OPEN.

The following table summarizes details about the OPEN statement specifiers and it contains links to their descriptions:

OPEN Statement Specifiers and Values
Specifier | Values | Function | Default
--- | --- | --- | ---
ACCESS | 'DIRECT' 'SEQUENTIAL' 'STREAM' 'APPEND' | Access mode | 'SEQUENTIAL'
ACTION (or MODE) | 'READ' 'WRITE' 'READWRITE' | File access | 'READWRITE'
ASSOCIATEVARIABLE | A scalar integer variable | Next direct access record | No default
ASYNCHRONOUS | 'YES' 'NO' | Asynchronous I/O | 'NO'
BLANK | 'NULL' 'ZERO' | Interpretation of blanks | 'NULL'
BLOCKSIZE | A scalar numeric expression | Physical I/O transfer size | 131,072 bytes
BUFFERCOUNT | A scalar numeric expression | Number of I/O buffers | One
BUFFERED | 'YES' 'NO' | Buffering for WRITE operations; buffering for READ operations on variable length, unformatted, input records | 'NO' Note: The default is also 'NO' when reading variable length, unformatted records whose length exceeds that of the block size specified for the file.
CARRIAGECONTROL | 'FORTRAN' 'LIST' 'NONE' | Print control | Formatted: 'LIST' Note: If you specify compiler option vms, and the unit is connected to a terminal, the default is 'FORTRAN'. Unformatted: 'NONE'
CONVERT | 'LITTLE_ENDIAN' 'BIG_ENDIAN' 'CRAY' 'FDX' 'FGX' 'IBM' 'VAXD' 'VAXG' 'NATIVE' | Numeric format specification | 'NATIVE'
DECIMAL | 'COMMA' 'POINT' | Decimal edit mode | 'POINT'
DEFAULTFILE | A scalar default character expression | Default file pathname | Current working directory
DELIM | 'APOSTROPHE' 'QUOTE' 'NONE' | Delimiter for character constants | 'NONE'
DISPOSE(or DISP) | 'KEEP' or 'SAVE' 'DELETE' 'PRINT' 'PRINT/DELETE' 'SUBMIT' 'SUBMIT/DELETE' | File disposition at close | 'KEEP'
ENCODING | 'UTF-8' 'DEFAULT' | Encoding form for a file | 'DEFAULT'
ERR | A statement label | Error transfer control | No default
FILE(or NAME) | A scalar default character expression | File pathname (file name) | fort.n, where n is the unit number.
FORM | 'FORMATTED' 'UNFORMATTED' 'BINARY' | Format type | Depends on ACCESS setting
IOFOCUS | .TRUE. .FALSE. | Active window in QuickWin application | .TRUE. Note: If unit '*' is specified, the default is .FALSE.; otherwise, the default is .TRUE..
IOSTAT | A scalar integer variable | I/O status | No default
MAXREC | A scalar numeric expression | Direct access record limit | No limit
NEWUNIT | A scalar integer variable | Returns automatically chosen, unused, unit number | No default
NOSHARED | No value | File sharing disallowed | Linux and macOS: SHARED Windows: Not shared
ORGANIZATION | 'SEQUENTIAL' 'RELATIVE' | File organization | 'SEQUENTIAL'
PAD | 'YES' 'NO' | Record padding | 'YES'
POSITION | 'ASIS' 'REWIND' 'APPEND' | File positioning | 'ASIS'
READONLY | No value | Write protection | No default
RECL (or RECORDSIZE) | A scalar numeric expression | Record length | Depends on RECORDTYPE,ORGANIZATION, and FORM settings Note: On Linux* and macOS systems, the default depends only on the FORM setting.
RECORDTYPE | 'FIXED' 'VARIABLE' 'SEGMENTED' 'STREAM' 'STREAM_CR' 'STREAM_LF' | Record type | Depends on ORGANIZATION, CARRIAGECONTROL, ACCESS, and FORM settings
ROUND | 'UP' 'DOWN' 'ZERO' 'NEAREST' 'COMPATIBLE' 'PROCESSOR_DEFINED' | Rounding mode | 'PROCESSOR_DEFINED' - for ifort, this corresponds to 'NEAREST' as in the ISO/IEC/IEEE 60559:2011 standard specification for roundTiesToEven
SHARE | 'DENYRW' 'DENYWR' 'DENYRD' 'DENYNONE' | File locking | 'DENYWR' Note: The default differs under certain conditions (see SHARE Specifier). Other notes: 'DENYWR': on Linux* and macOS systems, the default depends only on the FORM setting. 'DENYRD': applies to Windows.
SHARED | No value | File sharing allowed | Linux* and macOS: SHARED Windows: Not shared
SIGN | 'PLUS' 'SUPPRESS' 'PROCESSOR_DEFINED' | Plus sign mode | 'PROCESSOR_DEFINED'
STATUS(or TYPE) | 'OLD' 'NEW' 'SCRATCH' 'REPLACE' 'UNKNOWN' | File status at open | 'UNKNOWN' Note: The default differs under certain conditions (see STATUS Specifier).
TITLE | A scalar default character expression | Title for child window in a QuickWin application | No default
UNIT | A scalar numeric expression | Logical unit number | No default; an io-unit must be specified
USEROPEN | An external function | User program option | No default

## See Also

INQUIRE Statement for details on using the INQUIRE statement to get file attributes of existing files